import torch
import pickle
import numpy as np
from PIL import Image
import pickle
import os
from datasets.BaseDataset import BaseDataset

class OCT(BaseDataset):
    def __init__(self, dataframe, path_to_images, sens_name, sens_classes, transform, no_return_idx = False):
        super(OCT, self).__init__(dataframe, path_to_images, sens_name, sens_classes, transform)

        self.no_return_idx = no_return_idx
        
        if self.sens_name == 'Age':
            self.A = np.asarray(self.dataframe['Age_binary'].values.astype('int') == 1).astype('float')
            
        self.Y = (np.asarray(self.dataframe['label'].values) > 0).astype('float')
        self.AY_proportion = None
        
    def __getitem__(self, idx):
        item = self.dataframe.iloc[idx]
        
        img = np.load(os.path.join(self.path_to_images, item["Path"]))

        img = self.transform(img)

        label = torch.FloatTensor([item['label']])
        
        if self.sens_name == 'Age':
            if self.sens_classes == 2:
                sensitive = int(item['Age_binary'])
            else:
                sensitive = int(item['Age_multi'])
        
        if self.no_return_idx:
            return img, label, sensitive #, item["Path"]
        else:
            return idx, img, label, sensitive