# Reference

## Datasets
| **Dataset**  | **Link**                                                                                    |
|--------------|-----------------------------------------------------------------------------------------------|
| CheXpert     |   [paper](https://arxiv.org/abs/1901.07031)        |                                                                 |
| MIMIC-CXR    |     [paper](https://arxiv.org/abs/1901.07042)              |
| PAPILA       |     [paper](https://www.nature.com/articles/s41597-022-01388-1)                  |
| HAM10000     |     [paper](https://www.nature.com/articles/sdata2018161)                 |
| OCT          |     [paper](https://www.sciencedirect.com/science/article/pii/S016164201300612X)                |
| RadFusion    |     [paper](https://arxiv.org/abs/2111.11665)               |
| ADNI         |     [paper](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2809036/)                 | 


## Debiasing Methods
| **Method**   | **Link**                                                                                    |
|--------------|-----------------------------------------------------------------------------------------------|
| DomainInd    |  [paper](https://openaccess.thecvf.com/content_CVPR_2020/papers/Wang_Towards_Fairness_in_Visual_Recognition_Effective_Strategies_for_Bias_Mitigation_CVPR_2020_paper.pdf),  [original repo](https://github.com/princetonvisualai/DomainBiasMitigation)                  |
| LAFTR     |     [paper](https://arxiv.org/abs/1802.06309),  [original repo](https://github.com/VectorInstitute/laftr)        |
| CFair    |   [paper](https://arxiv.org/abs/1910.07162),  [original repo](https://www.google.com/url?sa=t&rct=j&q=&esrc=s&source=web&cd=&cad=rja&uact=8&ved=2ahUKEwiFk6qjwfH5AhW6S0EAHTmKAfwQFnoECAkQAQ&url=https%3A%2F%2Fgithub.com%2FKeiraZhao%2FICLR2020-CFair&usg=AOvVaw3jqOPLtJfWgWQF86fPyB1q)                  |
| LNL       |      [paper](https://arxiv.org/abs/1812.10352), [original repo](https://github.com/feidfoe/learning-not-to-learn)        |
| EnD     |        [paper](https://arxiv.org/abs/2103.02023), [original repo](https://github.com/EIDOSLAB/entangling-disentangling-bias)               |
| ODR          |    [paper](https://arxiv.org/abs/2003.05707), [original repo](https://github.com/spyrosavl/Fairness-by-Learning-Orthogonal-Disentangled-Representations)                   |
| GroupDRO    |      [paper](https://arxiv.org/abs/1911.08731), [original repo](https://github.com/kohpangwei/group_DRO)                 |
| SWAD         |      [paper](https://arxiv.org/abs/2102.08604),  [original repo](https://github.com/khanrc/swad)                | 
| SAM         |       [paper](https://openreview.net/forum?id=6Tm1mposlrM), [original repo](https://github.com/google-research/sam)               | 